@echo off
%1 mshta vbscript:CreateObject("Shell.Application").ShellExecute("cmd.exe","/c %~s0 ::","","runas",1)(window.close)&&exit
cd /d %~dp0
set servicename=macrobox
nssm install %servicename% "%~dp0run.bat"
echo "服务安装成功！请手动运行服务：%servicename%"
pause
exit